package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.utils.http.HttpUtils;
import com.usky.dxtop.service.api.TopApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.TreeMap;

/**
 * @author yq
 * @date 2021/8/23 13:51
 */
@Slf4j
@RestController
public class TestController {

    @PostMapping("test")
    public void test(@RequestParam(required = false) String merchantNo,
                     @RequestParam(required = false) String storeNo,
                     @RequestParam(required = false) String trxamt,
                     @RequestParam(required = false) String payTime,
                     @RequestParam(required = false) String chnltrxid,
                     @RequestParam(required = false) String trxstatus,
                     @RequestParam(required = false) String orderNo,
                     @RequestParam(required = false) String merchantOrderNo,
                     @RequestParam(required = false) String acct,
                     @RequestParam(required = false) String fee,
                     @RequestParam(required = false) String note,
                     @RequestParam(required = false) String label,
                     @RequestParam(required = false) String chnldata,
                     @RequestParam(required = false) String initamt,
                     @RequestParam(required = false) String groupNo,
                     @RequestParam(required = false) String employee,
                     @RequestParam(required = false) String sign){

    }

    public static void main(String[] args) {
        TreeMap<String, String> param = TopApi.generateDealSelectParam("d3d15e03925e4962b95f204c1f6bd5e8", null, null, null);
        String format = String.format("%s&sign=%s", TopApi.joinParam(param),
                TopApi.signData(param));
        System.out.println(format);
        String s = HttpUtils.sendGet(TopApi.DEAL_SELECT, format);
        System.out.println(s);
    }

}
